apiVersion: skaffold/v4beta6
kind: Config
metadata:
  name: sco-bot
build:
  artifacts:
    - docker:
        dockerfile: Dockerfile.web
      image: reg:5000/sco_bot_web
      platforms: [amd64]
      sync:
        infer:
          - src/**
    - docker:
        dockerfile: Dockerfile.server
      image: reg:5000/sco_bot_server
      platforms: [amd64]
      sync:
        infer:
          - "scobot/**"
  tagPolicy:
    dateTime:
      format: 2006-01-02_15-04-05
      timezone: Local
manifests:
  rawYaml:
    - k8s/*.yaml
deploy:
  kubectl: {}
